/* ============================================================================
 * main.java
 * ============================================================================
 * THIS SOFTWARE IS RELEASED UNDER THE FOLLOWING BINDING LEGAL AGREEMENT
 * (BSD-LICENSE).
 * ============================================================================
 *
 * Copyright (C) 2007-2009
 * by J.H.H.C. van der Meijs (tcpconns@jhhcvandermeijs.nl)
 * 
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions are met:
 *
 *    * Redistributions of source code must retain the above copyright notice, 
 *      this list of conditions and the following disclaimer.
 *    * Redistributions in binary form must reproduce the above copyright 
 *      notice, this list of conditions and the following disclaimer in the 
 *      documentation and/or other materials provided with the distribution.
 *    * Neither the name of tcpconns nor the names of its copyright holders or 
 *      its contributors may be used to endorse or promote products derived from 
 *      this software without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED 
 * TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 *
 * ============================================================================
 * IF YOU DO NOT AGREE TO THE ABOVE TERMS AND CONDITIONS THEN DO *NOT* USE THIS 
 * SOFTWARE AND *DO* DESTROY ALL COPIES OF THIS SOFTWARE THAT YOU HAVE.
 * ============================================================================
 * 
 * TCPCONNS’ CURRENT CODE IS NOT KNOWN TO VIOLATE ANY COPYRIGHTS OR INFRINGE ON 
 * ANY PATENTS. MOREOVER, IT ADHERES TO GENERAL PROGRAMMING RULES AND PRACTICES 
 * AND IS OF SUCH A SIMPLISTIC NATURE THAT A SIMILAR PACKAGE COULD BE 
 * CONSTRUCTED BY ANYONE. IMPORTANT(!): IF YOU FEEL THAT A PIECE OF CODE IN
 * TCPCONNS VIOLATES A COPYRIGHT OR INFRINGES ON A PATENT, PLEASE DO INFORM ONE 
 * OF THE AUTHORS IMMEDIATELY. DO ALWAYS STATE EXACTLY WHAT CODE IS NOT ALLOWED
 * UNDER EXACTLY WHAT RULING, COPYRIGHT, OR PATENT; AND PLEASE DO ELABORATE ON 
 * EXACTLY HOW THE CODE VIOLATES THE SPECIFIC COPYRIGHT OR INFRINGES ON
 * THE SPECIFIC PATENT.
 * 
 * ============================================================================
 * 
 * This software is Open Source Initiative approved Open Source Software.
 * Open Source Initiative Approved is a trademark of the Open Source Initiative.
 * http://www.opensource.org/
 * 
 * ============================================================================
 */
package nl.jhhcvandermeijs.tcpconns.keys;

import javax.swing.UIManager;

/**
 * this class displays the license of this software in a console/terminal
 */
public class main {

    /**
     * method that prints the license of this software on screen
     * 
     * @param args will not be used
     */
    public static void main(String[] args) {
        System.out.println("* ============================================================================");
        System.out.println("* TCPCONNS");
        System.out.println("* ============================================================================");
        System.out.println("* THIS SOFTWARE IS RELEASED UNDER THE FOLLOWING BINDING LEGAL AGREEMENT");
        System.out.println("* (BSD-LICENSE).");
        System.out.println("* ============================================================================");
        System.out.println("*");
        System.out.println("* Copyright (C) 2007-2009");
        System.out.println("* by J.H.H.C. van der Meijs (tcpconns@jhhcvandermeijs.nl)");
        System.out.println("* ");
        System.out.println("* All rights reserved.");
        System.out.println("*");
        System.out.println("* Redistribution and use in source and binary forms, with or without ");
        System.out.println("* modification, are permitted provided that the following conditions are met:");
        System.out.println("*");
        System.out.println("*    * Redistributions of source code must retain the above copyright notice, ");
        System.out.println("*      this list of conditions and the following disclaimer.");
        System.out.println("*    * Redistributions in binary form must reproduce the above copyright ");
        System.out.println("*      notice, this list of conditions and the following disclaimer in the ");
        System.out.println("*      documentation and/or other materials provided with the distribution.");
        System.out.println("*    * Neither the name of tcpconns nor the names of its copyright holders or ");
        System.out.println("*      its contributors may be used to endorse or promote products derived from ");
        System.out.println("*      this software without specific prior written permission.");
        System.out.println("* ");
        System.out.println("* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS");
        System.out.println("* 'AS IS' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT");
        System.out.println("* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR");
        System.out.println("* A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT ");
        System.out.println("* OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, ");
        System.out.println("* SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED ");
        System.out.println("* TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR");
        System.out.println("* PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF");
        System.out.println("* LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING");
        System.out.println("* NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS");
        System.out.println("* SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.");
        System.out.println("*");
        System.out.println("* ============================================================================");
        System.out.println("* IF YOU DO NOT AGREE TO THE ABOVE TERMS AND CONDITIONS THEN DO *NOT* USE THIS ");
        System.out.println("* SOFTWARE AND *DO* DESTROY ALL COPIES OF THIS SOFTWARE THAT YOU HAVE.");
        System.out.println("* ============================================================================");
        System.out.println("* ");
        System.out.println("* TCPCONNS’ CURRENT CODE IS NOT KNOWN TO VIOLATE ANY COPYRIGHTS OR INFRINGE ON ");
        System.out.println("* ANY PATENTS. MOREOVER, IT ADHERES TO GENERAL PROGRAMMING RULES AND PRACTICES ");
        System.out.println("* AND IS OF SUCH A SIMPLISTIC NATURE THAT A SIMILAR PACKAGE COULD BE ");
        System.out.println("* CONSTRUCTED BY ANYONE. IMPORTANT(!): IF YOU FEEL THAT A PIECE OF CODE IN");
        System.out.println("* TCPCONNS VIOLATES A COPYRIGHT OR INFRINGES ON A PATENT, PLEASE DO INFORM ONE ");
        System.out.println("* OF THE AUTHORS IMMEDIATELY. DO ALWAYS STATE EXACTLY WHAT CODE IS NOT ALLOWED");
        System.out.println("* UNDER EXACTLY WHAT RULING, COPYRIGHT, OR PATENT; AND PLEASE DO ELABORATE ON ");
        System.out.println("* EXACTLY HOW THE CODE VIOLATES THE SPECIFIC COPYRIGHT OR INFRINGES ON");
        System.out.println("* THE SPECIFIC PATENT.");
        System.out.println("* ");
        System.out.println("* ============================================================================");
        System.out.println("* ");
        System.out.println("* This software is Open Source Initiative approved Open Source Software.");
        System.out.println("* Open Source Initiative Approved is a trademark of the Open Source Initiative.");
        System.out.println("* http://www.opensource.org/");
        System.out.println("* ");
        System.out.println("* ============================================================================");

        try {
            try {
                //UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
                String javaVersion = System.getProperty("java.version");
                if (   (javaVersion.startsWith("1.5") == false)
                    && (javaVersion.startsWith("5") == false)
                    && (javaVersion.startsWith("1.4") == false)
                    && (javaVersion.startsWith("4") == false)
                    && (javaVersion.startsWith("1.3") == false)
                    && (javaVersion.startsWith("3") == false)
                    && (javaVersion.startsWith("1.2") == false)
                    && (javaVersion.startsWith("2") == false)   
                 ) {
                    UIManager.setLookAndFeel("com.sun.java.swing.plaf.nimbus.NimbusLookAndFeel");
                }
            } catch (Exception e) {}
           
            KeyStoreHelper.assertProviders();
            KeyManagerGUI.showDialog();

        } catch (Exception e) {
            System.out.println(e);
        }

    }
}
